#!/bin/bash
##################################################################################
### Shell Script for downloading the IFS Data from CLIMATE DATA STORE (CDS)
### Pre-Requisite: Python3, APS Client, CDS Client, ECMWF Client, etc.
##################################################################################
cp /home/subbu/bin/IFS-Script/get-IFS* .
### Declare Three basic Python Scripts as Three Primary Files
declare -a arr1=("Surface.py" "ML-Set1.py" "ML-Set2.py")
### Declare Time as a Variable 
declare -a arr2=("00" "03" "06" "09" "12" "15" "18" "21")
### declare -a arr2=("00")
### Declare suffix for three Python Scripts
for i in "${arr1[@]}"
do
cp get-IFS-"$i" BUFFER1
vim "+%s/YYYY/$1/g"  '+wq!' BUFFER1
vim "+%s/MM/$2/g"    '+wq!' BUFFER1
vim "+%s/DD/$3/g"    '+wq!' BUFFER1
vim "+%s/NORTH/18.5/g" '+wq!' BUFFER1
vim "+%s/WEST/67.0/g"  '+wq!' BUFFER1
vim "+%s/SOUTH/-1.5/g" '+wq!' BUFFER1
vim "+%s/EAST/87.0/g"  '+wq!' BUFFER1
for j in "${arr2[@]}"
do
cp BUFFER1 BUFFER2
vim "+%s/HH/"$j"/g"  '+wq!' BUFFER2
mv BUFFER2 $1-$2-$3-"$j"-"$i"
done
done
rm -f BUFFER1 BUFFER2
for j in "${arr2[@]}"
do
for k in "${arr1[@]}"
do
python3 $1-$2-$3-"$j"-"$k" &
done
done
wait
for m in "${arr2[@]}"
do
grib_copy eas$1$2$3"$m"s eas$1$2$3"$m"m1 eas$1$2$3"$m"m2 eas$1$2$3"$m"
### rm -f eas$1$2$3"$m"m1 eas$1$2$3"$m"m2
done
tar cvf $1$2$3-IFS-DOWNLOAD-PYTHON-SCRIPTS.tar $1*.py
### rm -f *.py
